Get Log Forwarding Source

Get Log Forwarding Source

Endpoint to get log forwarding source
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/log-forwarding-sources/{source}
COPY
Path Parameters
string
source
Required

Forward Source Type

Possible values are : PROVIDER_APPLIANCE, AGENT_APPLIANCE, DB_APPLIANCE,

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns LogForwardingSourcesDto of type(s) application/vnd.vmware.dms-v1+json
{
    "source": "string",
    "state": false,
    "message": "string",
    "lastModifiedTimestamp": "string",
    "managedDbDisableList": [
        "string"
    ]
}
string
source
Optional

source

Possible values are : PROVIDER_APPLIANCE, AGENT_APPLIANCE, DB_APPLIANCE,
boolean
state
Optional

state

string
message
Optional

message

string As date-time As date-time
lastModifiedTimestamp
Optional

lastModifiedTimestamp

array of string
managedDbDisableList
Optional

managedDbDisableList


400

Bad Request

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure